Nagios check: Provide a functional check for checking the IS-Collector instances

Sep 07, 2018 11:33 AM - Roberto Cirillo

Status: Closed Start date: Sep 07, 2018

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Nagios: functional test   

Infrastructure: Production   

Description

The idea is to use the icproxy REST service in order to perform a query for each IS-Collector instance deployed in production

environment. In this way if a IS-Collector service is up but the db is corrupted, or the db doesn't work properly, the new check should

give an alert.

At this time we have only a container check on IS-Collector service

Related issues:

Related to D4Science Infrastructure - Incident #12363: Openaire, SmartArea, S... Closed Aug 31, 2018

History

#1 - Sep 07, 2018 11:33 AM - Roberto Cirillo

- Related to Incident #12363: Openaire, SmartArea, SoBigData: collector down added

#2 - Sep 07, 2018 11:44 AM - Roberto Cirillo

- Status changed from New to In Progress

The query could be done on a mandatory resource that must be present on every VO. For example we could check the StorageManager service

endpoint:

<Category>DataStorage</Category>

<Name>StorageManager</Name>

 The id is the same in all the production scopes:

<ID>0717b450-a698-11e2-900a-a46c6ff57f05</ID>

 @andrea.dellamico@isti.cnr.it any opinion?

@lucio.lelii@isti.cnr.it what do you think? If this is possible, could you provide an example url in order to check the StorageManger resouce in a given

VO?

#3 - Sep 07, 2018 11:44 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Lucio Lelii

#4 - Sep 07, 2018 12:14 PM - Andrea Dell'Amico

It's fine by me.

#5 - Sep 07, 2018 12:54 PM - Lucio Lelii

this is an example on how to retrieve a resource by id using the ic-proxy in dev:

http://node10-d-d4s.d4science.org/icproxy/gcube/service/Resource/c0594b4e-107c-4c9f-bd00-818b68298aa4?gcube-scope=/gcube 

#7 - Sep 07, 2018 03:05 PM - Lucio Lelii

yes

#8 - Sep 07, 2018 04:55 PM - Roberto Cirillo

- Assignee changed from Lucio Lelii to Andrea Dell'Amico

Jun 15, 2025 1/2

http://node10-d-d4s.d4science.org/icproxy/gcube/service/Resource/c0594b4e-107c-4c9f-bd00-818b68298aa4?gcube-scope=/gcube


#12 - Sep 10, 2018 07:53 PM - Andrea Dell'Amico

- % Done changed from 0 to 100

The checks have been added. They fail when the string Profile is not found. 

I'm also adding the https checks.

#13 - Sep 11, 2018 12:03 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
